# Vista previa de parámetros de rastreo (/es/api-reference/endpoint/crawl-params-preview)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1425 · updated: 2026-07-30 -->
Related: [Búsqueda](/es/api-reference/endpoint/search.md), [Comentarios sobre la búsqueda](/es/api-reference/endpoint/search-feedback.md), [Scrape](/es/api-reference/endpoint/scrape.md), [Raspado en lote](/es/api-reference/endpoint/batch-scrape.md), [Obtener el estado de la captura por lotes](/es/api-reference/endpoint/batch-scrape-get.md), [Cancelar extracción en lote](/es/api-reference/endpoint/batch-scrape-delete.md)



`POST /crawl/params-preview`

Vista previa de los parámetros de rastreo generados a partir de una instrucción en lenguaje natural

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "prompt": {
              "description": "Prompt en lenguaje natural que describe qué quieres rastrear",
              "maxLength": 10000,
              "type": "string"
            },
            "url": {
              "description": "La URL a rastrear",
              "format": "uri",
              "type": "string"
            }
          },
          "required": [
            "url",
            "prompt"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "properties": {
                  "allowExternalLinks": {
                    "description": "Si se permiten enlaces externos",
                    "type": "boolean"
                  },
                  "allowSubdomains": {
                    "description": "Si se permiten subdominios",
                    "type": "boolean"
                  },
                  "crawlEntireDomain": {
                    "description": "Indica si se debe rastrear todo el dominio",
                    "type": "boolean"
                  },
                  "deduplicateSimilarURLs": {
                    "description": "Si se deben eliminar las URL similares duplicadas",
                    "type": "boolean"
                  },
                  "delay": {
                    "description": "Intervalo entre solicitudes en milisegundos",
                    "type": "number"
                  },
                  "excludePaths": {
                    "description": "Patrones de URL para excluir",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "ignoreQueryParameters": {
                    "description": "Ignorar los parámetros de consulta",
                    "type": "boolean"
                  },
                  "ignoreRobotsTxt": {
                    "description": "Indica si se ignoran las reglas de robots.txt",
                    "type": "boolean"
                  },
                  "includePaths": {
                    "description": "Patrones de URL a incluir",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "limit": {
                    "description": "Número máximo de páginas a rastrear",
                    "type": "integer"
                  },
                  "maxDepth": {
                    "description": "Profundidad máxima de rastreo",
                    "type": "integer"
                  },
                  "maxDiscoveryDepth": {
                    "description": "Profundidad máxima de exploración",
                    "type": "integer"
                  },
                  "robotsUserAgent": {
                    "description": "Cadena User-Agent personalizada usada para evaluar robots.txt",
                    "type": "string"
                  },
                  "sitemap": {
                    "description": "Estrategia de manejo de sitemaps",
                    "enum": [
                      "skip",
                      "include"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "description": "La URL que se va a rastrear",
                    "format": "uri",
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "success": {
                "example": true,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Respuesta satisfactoria con parámetros de rastreo generados"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Invalid request parameters",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Solicitud incorrecta"
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Unauthorized",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "No autorizado"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Failed to process natural language prompt",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Error del servidor"
    }
  }
}
```
